USRP Hardware Driver and USRP Manual: uhd::experts::worker_node_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::experts::worker_node_t Class Referenceabstract

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::worker_node_t:

## Public Member Functions
| worker_node_t (const std::string &name)
std::list< std::string > | get_inputs () const
std::list< std::string > | get_outputs () const
Public Member Functions inherited from uhd::experts::dag_vertex_t
virtual | ~dag_vertex_t ()
node_class_t | get_class () const
const std::string & | get_name () const

## Protected Member Functions
void | bind_accessor (data_accessor_t &accessor)
Protected Member Functions inherited from uhd::experts::dag_vertex_t
| dag_vertex_t (const node_class_t c, const std::string &n)

## Additional Inherited Members
Public Types inherited from uhd::experts::dag_vertex_t
typedef std::function< void(std::string)> | callback_func_t

## Detailed Description

class worker_node_t

A node class to implement a function that consumes zero or more input data nodes and emits zero or more output data nodes. The worker can also operate on other non-expert interfaces because worker_node_t is abstract and the client

## is required to implement the "resolve" method in a subclass.

## Constructor & Destructor Documentation

## ◆ worker_node_t()

uhd::experts::worker_node_t::worker_node_t | ( | const std::string & | name | ) |
| inline

## Member Function Documentation

## ◆ bind_accessor()

void uhd::experts::worker_node_t::bind_accessor | ( | data_accessor_t & | accessor | ) |
| inlineprotected

## ◆ get_inputs()

std::list< std::string > uhd::experts::worker_node_t::get_inputs | ( |  | ) | const
| inline

## ◆ get_outputs()

std::list< std::string > uhd::experts::worker_node_t::get_outputs | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- expert_nodes.hpp